org.apache.solr.client.solrj.request

## Class CoreAdminRequest.WaitForState

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CoreAdminResponse>
  - - org.apache.solr.client.solrj.request.CoreAdminRequest
    - - org.apache.solr.client.solrj.request.CoreAdminRequest.WaitForState

All Implemented Interfaces:
  Serializable

Enclosing class:
  CoreAdminRequest

    public static class CoreAdminRequest.WaitForState
    extends CoreAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`CoreAdminRequest.Create, CoreAdminRequest.CreateSnapshot, CoreAdminRequest.DeleteSnapshot, CoreAdminRequest.ListSnapshots, CoreAdminRequest.MergeIndexes, CoreAdminRequest.OverrideLastPublished, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected Boolean` `checkLive`
`protected String` `coreNodeName`
`protected String` `nodeName`
`protected Boolean` `onlyIfLeader`
`protected Boolean` `onlyIfLeaderActive`
`protected Replica.State` `state`

### Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`action, core, isIndexInfoNeeded, other`

### Constructor Summary

Constructors
Constructor and Description
`WaitForState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Boolean` `getCheckLive()`
`String` `getCoreNodeName()`
`String` `getNodeName()`
`SolrParams` `getParams()`
`Replica.State` `getState()`
`boolean` `isOnlyIfLeader()`
`void` `setCheckLive(Boolean checkLive)`
`void` `setCoreNodeName(String coreNodeName)`
`void` `setNodeName(String nodeName)`
`void` `setOnlyIfLeader(boolean onlyIfLeader)`
`void` `setOnlyIfLeaderActive(boolean onlyIfLeaderActive)`
`void` `setState(Replica.State state)`
`String` `toString()`

### Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`createCore, createCore, createCore, createResponse, getContentStreams, getCoreStatus, getCoreStatus, getStatus, mergeIndexes, reloadCore, renameCore, setAction, setCoreName, setIndexInfoNeeded, setOtherCoreName, swapCore, unloadCore, unloadCore, unloadCore`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### nodeName

    protected String nodeName

#### coreNodeName

    protected String coreNodeName

#### state

    protected Replica.State state

#### checkLive

    protected Boolean checkLive

#### onlyIfLeader

    protected Boolean onlyIfLeader

#### onlyIfLeaderActive

    protected Boolean onlyIfLeaderActive

### Constructor Detail

#### WaitForState

    public WaitForState()

### Method Detail

#### setNodeName

    public void setNodeName(String nodeName)

#### getNodeName

    public String getNodeName()

#### getCoreNodeName

    public String getCoreNodeName()

#### setCoreNodeName

    public void setCoreNodeName(String coreNodeName)

#### getState

    public Replica.State getState()

#### setState

    public void setState(Replica.State state)

#### getCheckLive

    public Boolean getCheckLive()

#### setCheckLive

    public void setCheckLive(Boolean checkLive)

#### isOnlyIfLeader

    public boolean isOnlyIfLeader()

#### setOnlyIfLeader

    public void setOnlyIfLeader(boolean onlyIfLeader)

#### setOnlyIfLeaderActive

    public void setOnlyIfLeaderActive(boolean onlyIfLeaderActive)

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CoreAdminRequest`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`